<div class="row justify-content-center">
    <div class="col-4">
<form [formGroup]='registerForm' (ngSubmit)="registerForm.valid && register()" autocomplete="off">
    <h2 class="text-center text-primary">Sign up</h2>
    <hr>

    <div class="mb-3">
        <label style="margin-right: 10px;">I am a: </label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        <label class="form-check-label">
            <input class="form-check-input" type="radio" value='male' formControlName='Gender'> Male
        </label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        <label class="form-check-label">
            <input type="radio" value='female' formControlName='Gender' class="form-check-input"> Female
        </label>
    </div>

    <app-text-input [formControl]='registerForm.controls["UserName"]' 
        [label]='"Username"'></app-text-input>
    <app-email-input [formControl]='registerForm.controls["Email"]' 
        [label]='"Email"'></app-email-input>
    <app-date-input [formControl]='registerForm.controls["DateOfBirth"]' 
        [label]='"Date Of Birth"'></app-date-input>
        <app-adress-input  (setAddress)="SetCountry($event)" #country adressType="country"  [formControl]='registerForm.controls["country"]' 
        [label]='"Country"'></app-adress-input>
        <app-adress-input  (setAddress)="SetCity($event)" #city adressType="(cities)" [country]="selectedCountry" [formControl]='registerForm.controls["city"]' 
        [label]='"City"'></app-adress-input>
        <app-text-input [formControl]='registerForm.controls["FirstName"]' 
        [label]='"FirstName"'></app-text-input>
        <app-text-input [formControl]='registerForm.controls["LastName"]' 
        [label]='"LastName"'></app-text-input>
        <div class="mb-3">
            <label style="margin-right: 10px;">I want to be a : </label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <label class="form-check-label">
                <input class="form-check-input" onclick="RadioClick('visitor')" type="radio" value='Visitor' formControlName='Role'> Visiteur
            </label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <label class="form-check-label">
                <input type="radio" onclick="RadioClick('client')" value='Client' formControlName='Role' class="form-check-input"> Client
            </label>
        </div>
    <app-text-input [formControl]='registerForm.controls["Password"]' 
        [label]='"Password"' [type]='"password"'>
    </app-text-input>
    <app-text-input [formControl]='registerForm.controls["confirmPassword"]' 
        [label]='"Confirm Password"'
        [type]='"password"'></app-text-input>

    <div class="row" *ngIf="validationErrors.length > 0">
        <ul class="text-danger">
            <li *ngFor="let error of validationErrors">
                {{error}}
            </li>
        </ul>
    </div>

    <div class="form-group text-center">
        <button [disabled]='!registerForm.valid' class="btn btn-success mr-2" type="submit">Register</button>
        <button class="btn btn-default mr-2" (click)="cancel()" type="button">Cancel</button>
    </div>
</form>
    </div>
</div>